##############################################################################
## This file is part of 'LCLS Timing Core'.
## It is subject to the license terms in the LICENSE.txt file found in the 
## top-level directory of this distribution and at: 
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html. 
## No part of 'LCLS Timing Core', including this file, 
## may be copied, modified, propagated, or distributed except according to 
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0
#once TPGSeqState.yaml

TPGSeqState: &TPGSeqState
  class: MMIODev
  configPrio: 1
  description: Timing pattern sequencer state
  size: 0x400
  children:
    #########################################################
    SeqIndex:
      at:
        offset: 0x0000
      class: IntField
      name: SeqIndex
      sizeBits: 32
      lsbit: 0
        stride: 8
        nelms: 50
      mode: RO
      description: Sequencer instruction at:
        offset
    #########################################################
    SeqCondACount:
      at:
        offset: 0x0004
        stride: 8
        nelms: 50
      class: IntField
      name: SeqCondACount
      sizeBits: 8
      lsbit: 0
      mode: RO
      description: BSA condition A counter
    #########################################################
    SeqCondBCount:
      at:
        offset: 0x0004
        stride: 64
        nelms: 50
      class: IntField
      name: SeqCondBCount
      sizeBits: 8
      lsbit: 8
      mode: RO
      description: BSA condition B counter
    #########################################################
    SeqCondCCount:
      at:
        offset: 0x0004
        stride: 8
        nelms: 50
      class: IntField
      name: SeqCondCCount
      sizeBits: 8
      lsbit: 16
      mode: RO
      description: BSA condition C counter
    #########################################################
    SeqCondDCount:
      at:
        offset: 0x0004
        stride: 8
        nelms: 50
      class: IntField
      name: SeqCondDCount
      sizeBits: 8
      lsbit: 24
      mode: RO
      description: BSA condition D counter
    #########################################################
